Get all export jobs

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sort"created_at"Optional

The field to sort the results by. Typically used together with the order parameter.

created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional
created_by_entity_user_idstringOptionalformat: "uuid"

Response

Successful Response
datalist of objects
A set of export objects returned per page.
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results. If there is no next page, i.e. you have reached the last page, the value is null.

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results. If there is no previous page, i.e. you have reached the first page, the value is null.

Errors

400
Get Data Exports Request Bad Request Error
401
Get Data Exports Request Unauthorized Error
403
Get Data Exports Request Forbidden Error
406
Get Data Exports Request Not Acceptable Error
422
Get Data Exports Request Unprocessable Entity Error
429
Get Data Exports Request Too Many Requests Error